// 005 u_vcl_net_exe
// 17 sep 2007

// -- (C) Felix John COLIBRI 2007
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_vcl_net_exe;
  interface

    function f_exe_path: String;
    function f_exe_pure_name: String;
    function f_exe_pure_project_name: String;

  implementation
    uses // System.IO
        // , u_strings
        SysUtils
        , Forms
    ;

    function f_exe_path: String;
      begin
        // Result:= System.IO.Directory.GetCurrentDirectory()+ '\';
        // Result:= GetCurrentDir+ '\';
        Result:= LowerCase(ExtractFilePath(Application.ExeName));
      end; // f_exe_path

    function f_exe_pure_name: String;
      begin
        // Result:= 'pure_name';
        Result:= LowerCase(ChangeFileExt(ExtractFileName(Application.ExeName), ''));
      end; // f_exe_pure_name

    function f_exe_pure_project_name: String;
      // var l_exe_pure_name: String;
      begin
        // Result:= Application.ExeName;
        Result:= f_exe_pure_name;
        if Copy(Result, 1, 2)= 'p_'
          then Delete(Result, 1, 2);
      end; // f_exe_pure_project_name

    begin
    end.




































